Bug 1112119 - [abrt] pkgwat: subcommands.py:340:take_action:KeyError: 'version'
Summary: [abrt] pkgwat: subcommands.py:340:take_action:KeyError: 'version'
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pkgwat
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:db8cd91250d63cb6fb594add2ea...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-23 07:46 UTC by Kamil Páral
Modified: 2015-02-17 21:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 21:18:43 UTC


Attachments (Terms of Use)
File: backtrace (31.23 KB, text/plain)
2014-06-23 07:46 UTC, Kamil Páral
no flags Details
File: environ (2.91 KB, text/plain)
2014-06-23 07:46 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2014-06-23 07:46:24 UTC
Description of problem:
I ran "pkgwat changelog java-1.7.0-openjdk --debug"

Version-Release number of selected component:
pkgwat-0.10-1.fc20

Additional info:
reporter:       libreport-2.2.2
cmdline:        /usr/bin/python2 /usr/bin/pkgwat changelog java-1.7.0-openjdk --debug
dso_list:       python-cliff-1.4.5-1.fc20.noarch
executable:     /usr/bin/pkgwat
kernel:         3.14.8-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
#1 take_action in /usr/lib/python2.7/site-packages/pkgwat/cli/subcommands.py:340
#2 run in /usr/lib/python2.7/site-packages/cliff/display.py:84
#3 run_subcommand in /usr/lib/python2.7/site-packages/cliff/app.py:280
#4 run_subcommand in /usr/lib/python2.7/site-packages/pkgwat/cli/main.py:55
#5 run in /usr/lib/python2.7/site-packages/cliff/app.py:215
#6 main in /usr/lib/python2.7/site-packages/pkgwat/cli/main.py:60
#7 <module> in /usr/bin/pkgwat:9

Comment 1 Kamil Páral 2014-06-23 07:46:29 UTC
Created attachment 911319 [details]
File: backtrace

Comment 2 Kamil Páral 2014-06-23 07:46:31 UTC
Created attachment 911320 [details]
File: environ

Comment 3 Fedora Update System 2015-01-24 01:06:43 UTC
pkgwat-0.11-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pkgwat-0.11-1.fc21

Comment 4 Fedora Update System 2015-01-24 01:06:54 UTC
pkgwat-0.11-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pkgwat-0.11-1.fc20

Comment 5 Fedora Update System 2015-01-24 01:07:03 UTC
pkgwat-0.11-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/pkgwat-0.11-1.el7

Comment 6 Fedora Update System 2015-01-24 01:07:13 UTC
pkgwat-0.11-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pkgwat-0.11-1.el6

Comment 7 Fedora Update System 2015-02-07 04:02:25 UTC
pkgwat-0.11-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-02-07 04:02:54 UTC
pkgwat-0.11-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-02-17 18:59:57 UTC
pkgwat-0.11-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-02-17 19:00:35 UTC
pkgwat-0.11-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.